Core - Task # 68194

Epic # 65314 (New): PHP7

Status: Resolved Priority: Should have
Author: Susanne Moog Category:

Created: 2015-07-15 Assigned To:

Updated: 2015-07-16 Due date:

TYPOS3 Version: 7

PHP Version:

Complexity:

Sprint Focus:

Subiject: PHP7 compliance - make unit tests run

Description

Associated revisions

Revision b551d5f8 - 2015-07-16 00:02 - Susanne Moog

[TASK] PHP7 compliance - part 1

Fixes or skips unit tests and declaration errors on PHP7.

Change-Id: 145fb09253c7efbc8116c3b2a27586b3f504b71e2
Resolves: #68194

Releases: master

Reviewed-on: http://review.typo3.org/41274

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>

Revision bf01303f - 2015-07-16 00:59 - Christian Kuhn

[FOLLOWUP][TASK] PHP7 compliance - part 1

The fluid patch triggers funny effects at several
places, this part of the patch is reverted for now.

Change-Id: 18620116a89e48b855200fbc1e34b4c7a21052566
Resolves: #68194

Releases: master

Reviewed-on: http://review.typo3.org/41385

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Georg Ringer <georg.ringer@gmail.com>

Tested-by: Georg Ringer <georg.ringer@gmail.com>

History

#1 - 2015-07-15 23:54 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41274

#2 - 2015-07-16 00:03 - Susanne Moog
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b551d5f8eeaab821179ed1666022829d8e79beee.

#3 - 2015-07-16 00:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41385

#4 - 2015-07-16 01:00 - Christian Kuhn
- Status changed from Under Review to Resolved

Applied in changeset commit:bf01303fc192df6ea50b3f503003bb815¢c64bff7.
